public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/demjson/
Date: Thu, 18 Feb 2016 15:23:39 +0000 (UTC)	[thread overview]
Message-ID: <1455808963.08e8d3a7ae49455f8d965da3780057a9131d57ac.patrick@gentoo> (raw)

commit:     08e8d3a7ae49455f8d965da3780057a9131d57ac
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 12:40:39 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 15:22:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08e8d3a7

dev-python/demjson:  Bump

Package-Manager: portage-2.2.27

 dev-python/demjson/Manifest             |  1 +
 dev-python/demjson/demjson-2.2.4.ebuild | 36 +++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/demjson/Manifest b/dev-python/demjson/Manifest
index 2120524..cd1cc12 100644
--- a/dev-python/demjson/Manifest
+++ b/dev-python/demjson/Manifest
@@ -1,2 +1,3 @@
 DIST demjson-2.2.2.tar.gz 130874 SHA256 5114563dd3a0324b6c9c74250528660adbb6a095b2a015038149e31a9b5727d5 SHA512 c5df57fdc286b33fbceada0ff8531d559fb183b29ca114fbfef7dfd0615ad5bae3882da91b6818ad58be5e20d3c2091db7cb75b1c31285b8ed5f466984b5fc15 WHIRLPOOL 6ca4e599128a896df098514d2b1983b025122ac07ee5ffa2f673c2d441482e32b7fa013a3896c2efedfcea9114dbe2049927b1754d4db9127bdf1ab9f32ddda3
 DIST demjson-2.2.3.tar.gz 131263 SHA256 9fb0f3c02fe500104680af2889a64d1637b395aebdb37341ae2309d77854f40c SHA512 058f8429967e21b30a9e28ec7790c372f5eb3126d7ab05c17d6f0548002650314048bf2f4eb3e2c8f75bb91169722c90eeeddb815ca166dfb14b2d1385504b14 WHIRLPOOL b665e19c5c28afd4636b2f33959f7a14d04706c8e8d7c77ef790fb12e3aff56a1cea35420caf7eceb06de8b001cab07a3e38d4252b7f67a3dbba99fcc4f1d476
+DIST demjson-2.2.4.tar.gz 131457 SHA256 31de2038a0fdd9c4c11f8bf3b13fe77bc2a128307f965c8d5fb4dc6d6f6beb79 SHA512 d8a1cde062d0b062bdae29b6d79ad69fb9cc185428718a0009ccbed544ed37bd354fbb86edadb56bd98183ac8636b2edae322ed19aa5f07a7b6df668c7aa0029 WHIRLPOOL 70e826739bc2ae7ca040e54fe651f021a1c7f08357d985a560a8560f5da694da0068d32e7a972525ba215a6fcda93abdebdf4d99c8e3f156a9f17600aa283973

diff --git a/dev-python/demjson/demjson-2.2.4.ebuild b/dev-python/demjson/demjson-2.2.4.ebuild
new file mode 100644
index 0000000..f2ed84f
--- /dev/null
+++ b/dev-python/demjson/demjson-2.2.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="encoder, decoder, and lint/validator for JSON (JavaScript Object Notation) compliant with RFC 4627"
+HOMEPAGE="http://deron.meranda.us/python/demjson/ https://pypi.python.org/pypi/demjson"
+SRC_URI="http://deron.meranda.us/python/${PN}/dist/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+	cd test
+	if python_is_python3; then
+		2to3 -w --no-diffs test_demjson.py
+	fi
+	"${PYTHON}" test_demjson.py
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	# Docs are .txt files
+	if use doc; then
+		dodoc docs/*.txt || die "Installation of documentation failed"
+	fi
+}


             reply	other threads:[~2016-02-18 15:23 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-18 15:23 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-19 18:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/demjson/ Michał Górny
2018-06-24 15:24 Pacho Ramos
2018-06-24 15:24 Pacho Ramos
2017-01-18 11:57 Agostino Sarubbo
2017-01-17 16:22 Agostino Sarubbo
2016-03-13 19:04 Patrick Lauer
2015-08-31 22:27 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1455808963.08e8d3a7ae49455f8d965da3780057a9131d57ac.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox